Skip to main content
Search UI elements
curl --request GET \
  --url https://api.example.com/elements
{
  "data": [
    {
      "id": 123,
      "frame_id": 123,
      "source": "<string>",
      "role": "<string>",
      "text": "<string>",
      "parent_id": 123,
      "depth": 123,
      "bounds": {
        "left": 123,
        "top": 123,
        "width": 123,
        "height": 123
      },
      "confidence": 123,
      "sort_order": 123
    }
  ],
  "pagination": {
    "limit": 123,
    "offset": 123,
    "total": 123
  }
}

Query Parameters

q
string | null
frame_id
integer | null
source
string | null
role
string | null
start_time
string<date-time> | null
end_time
string<date-time> | null
app_name
string | null
limit
integer
offset
integer

Response

200 - application/json

OK

data
object[]
required
pagination
object
required